Openi DeveloperDeveloper

Check every step against the given input datasets

POST
/v1/workflows/{workflow_id}/versions/{version}/validate
AuthorizationBearer <token>

In: header

Path Parameters

workflow_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid
version*integer
Range1 <= value <= 9007199254740991

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

inputs*

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/1/validate" \  -H "Content-Type: application/json" \  -d '{    "inputs": {      "property1": "string",      "property2": "string"    }  }'
{  "valid": true}